View Issue Details

IDProjectCategoryView StatusLast Update
0003439PartDesignBugpublic2018-09-13 11:34
ReporterDeepSOICAssigned ToDeepSOIC 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.17 
Target VersionFixed in Version0.18 
Summary0003439: Using Inertial CS when attaching something to datum plane gives infinite placement
Description>>> App.ActiveDocument.Box.Placement
Placement [Pos=(-2.5e+099,-5e+099,-2.5e+099), Yaw-Pitch-Roll=(153.435,-3.18055e-015,65.9052)]

forum thread: https://forum.freecadweb.org/viewtopic.php?f=3&t=28290

Also likely happens when attaching stuff to datum lines.
Steps To Reproduce1. Create PartDesign Box.
2. Attach a datum plane to any of its faces.
3. Create a datum point, and attach it to Center Of Mass of the datum plane.
-> view goes blank
-> >>> App.ActiveDocument.DatumPoint.Placement
Placement [Pos=(-5e+099,-5e+099,10), Yaw-Pitch-Roll=(0,0,0)]
Additional InformationOS: Windows 10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.13509 (Git)
Build type: Release
Branch: releases/FreeCAD-0-17
Hash: 0258808ccb6ba3bd5ea9312f79cd023f1a8671b7
Python version: 2.7.14
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.2.0
Locale: Russian/RussianFederation (ru_RU)
TagsNo tags attached.

Relationships

has duplicate 0003440 closedDeepSOIC Using Inertial CS when attaching something to datum plane gives infinite placement 
has duplicate 0003441 closedDeepSOIC Using Inertial CS when attaching something to datum plane gives infinite placement 

Activities

DeepSOIC

2018-04-24 15:51

developer   ~0011191

hmm, how did I manage to create the bug 3 times in a row??
I got website errors while doing it, I think, that's why... I didn't even notice. Sorry about the mess.

wmayer

2018-09-13 11:34

administrator   ~0011725

https://github.com/FreeCAD/FreeCAD/commit/38df1ae74200ec6f6babee46f89dbb34311d9e75

Issue History

Date Modified Username Field Change
2018-04-22 12:40 DeepSOIC New Issue
2018-04-22 12:40 DeepSOIC Status new => assigned
2018-04-22 12:40 DeepSOIC Assigned To => DeepSOIC
2018-04-24 13:38 wmayer Relationship added has duplicate 0003440
2018-04-24 13:39 wmayer Relationship added has duplicate 0003441
2018-04-24 15:51 DeepSOIC Note Added: 0011191
2018-09-13 11:34 wmayer Status assigned => closed
2018-09-13 11:34 wmayer Resolution open => fixed
2018-09-13 11:34 wmayer Fixed in Version => 0.18
2018-09-13 11:34 wmayer Note Added: 0011725